package eu.dnetlib.uoamonitorservice.dto;

import eu.dnetlib.uoamonitorservice.dao.IndicatorDAO;
import eu.dnetlib.uoamonitorservice.entities.Indicator;
import eu.dnetlib.uoamonitorservice.entities.Section;
import eu.dnetlib.uoamonitorservice.generics.SectionGeneric;
import eu.dnetlib.uoamonitorservice.handlers.EntityNotFoundException;

import java.util.List;
import java.util.stream.Collectors;

public class SectionFull extends SectionGeneric<Indicator> {
    public SectionFull() {}

    public SectionFull(Section section, List<Indicator> indicators) {
        super(section);
        this.setIndicators(indicators);
    }
}
